Package org.xnio

# Interface Pool<T>

Type Parameters:
  `T` - the resource type

All Known Implementing Classes:
  `ByteBufferSlicePool`

public interface Pool<T>
Deprecated.
See `ByteBufferPool`.
A generic pooled resource manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Pool<ByteBuffer>`
`DIRECT`
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_DIRECT`.
`static final Pool<ByteBuffer>`
`HEAP`
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_HEAP`.

## Method Summary

Modifier and Type
Method
Description
`Pooled<T>`
`allocate()`
Deprecated.
Allocate a resource from the pool.

## Field Details

### HEAP

static final Pool<ByteBuffer> HEAP
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_HEAP`.

### DIRECT

static final Pool<ByteBuffer> DIRECT
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_DIRECT`.

## Method Details

### allocate

Pooled<T> allocate()
Deprecated.
Allocate a resource from the pool.

Returns:
  the resource